List Traces Route
curl --request GET \
--url https://api.example.com/api/v1/tracesimport requests
url = "https://api.example.com/api/v1/traces"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"trace_id": "<string>",
"proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"model": "<string>",
"request_tokens": 123,
"response_tokens": 123,
"latency_ms": 123,
"policy_decision": "<string>",
"intent_score": 123,
"intent_action": "<string>",
"integration_names": "<string>",
"stream": 123,
"status_code": 123,
"timestamp": "2023-11-07T05:31:56Z",
"tool_names": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_flow_id": "<string>",
"step_type": "<string>",
"step_stage": "<string>",
"step_index": 0,
"policy_rule": "",
"response_body": "",
"request_system_prompt": "",
"request_messages": "",
"request_tools": "",
"matched_capability": "",
"intent_reason": "",
"intent_latency_ms": 0,
"ttft_ms": 0,
"session_turn": 0,
"custom_properties": {},
"trace_path": "<string>",
"parent_trace_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"guardrail_name": "<string>",
"guardrail_stage": "<string>",
"guardrail_decision": "<string>",
"guardrail_rule": "<string>",
"guardrail_reason": "<string>",
"guardrail_duration_ms": 123,
"tool_call_id": "<string>",
"tool_name": "<string>",
"tool_args_json": "<string>",
"tool_result_summary": "<string>",
"tool_status": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}traces
List Traces Route
GET
/
api
/
v1
/
traces
List Traces Route
Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Filter by policy_decision value
⌘I